aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2019-02-26 14:09:59 -0300
committerSilvio Rhatto <rhatto@riseup.net>2019-02-26 14:09:59 -0300
commit9ee18a2df0e8d86337cda05ea88ed6e44c5a5949 (patch)
tree7513a73e0ff0ffb276e27572ad82111158f4b500
parent78172a1aa1f3da0336f8152da2d9265bb59dc933 (diff)
downloadutils-ssh-9ee18a2df0e8d86337cda05ea88ed6e44c5a5949.tar.gz
utils-ssh-9ee18a2df0e8d86337cda05ea88ed6e44c5a5949.tar.bz2
Placeholder for ssh-agent-loadkey-menu
-rwxr-xr-xssh-agent-loadkey-menu20
1 files changed, 20 insertions, 0 deletions
diff --git a/ssh-agent-loadkey-menu b/ssh-agent-loadkey-menu
new file mode 100755
index 0000000..97e20a8
--- /dev/null
+++ b/ssh-agent-loadkey-menu
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# Load a key from a menu.
+#
+
+# Parameters
+BASENAME="`basename $0`"
+KEYS="$HOME/.ssh/keys"
+
+# Check
+if [ ! -d "$KEYS" ]; then
+ echo "$BASENAME: folder not found: $KEYS"
+ exit 1
+fi
+
+# Display menu with available keys
+# Check the selected option
+# Check if the selected option has a custom procedure (monkeysphere, keyringer, etc)
+# Grab passphrase and load the key
+#( cd $KEYS && find -name '*.pub' | grep -v decomissioned )